Support » Plugin: Events Manager » Incompatibility with Wp E-commerce 3.8.9.4?

  • Resolved alfredo49

    (@alfredo49)


    Hi:

    The plugin configuration section events manager goes blank and does not load anything when I have events manager enabled and wp-ecommerce and while I get this error:

    Notice: A session had already been started – ignoring session_start () in / usr / home / myweb.com / web / myweb / wp-content / plugins / events-manager / classes / em-notices.php

    This error disappears when I disable wp-ecommerce

    http://wordpress.org/extend/plugins/events-manager/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Hi,

    Have you tried to temporarily:

    – deactivating all other plugins to see if this resolves the problem. If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    – switching to the default theme to rule out any theme-specific problems

    e.g. activating EM and WP E-commerce together without any other plugin and using default theme.

    hi!

    This issue appears whenever live wp e-commerce and events manager together, even a clean install and wordpress official theme.

    When i desactivated one of them, everythings works OK, if live together i have this errors:

    Notice: A session had already been started – ignoring session_start() in /usr/home/myweb.com/web/pruebawp/wp-content/plugins/events-manager/classes/em-notices.php on line 11

    Warning: Cannot modify header information – headers already sent by (output started at /usr/home/myweb.com/web/pruebawp/wp-content/plugins/events-manager/classes/em-notices.php:11) in /usr/home/myweb.com//web/pruebawp/wp-includes/option.php on line 568

    Warning: Cannot modify header information – headers already sent by (output started at /usr/home/myweb.com/web/pruebawp/wp-content/plugins/events-manager/classes/em-notices.php:11) in /usr/home/myweb.com/web/pruebawp/wp-includes/option.php on line 569

    could it be that your plugin is outputing whitespace before EM has a chance to start sessions

    either that or you have some issue with sessions in your php setup or if everything is working properly except that notices you can turn-on php display_errors (if its only notices and you are not getting fatal errors)

    Plugin Author Marcus

    (@netweblogic)

    next update (or try our dev version) will fix this as we don’t use sessions anymore

    Perfect!!! Thks! where i can download dev version?

    Plugin Author Marcus

    (@netweblogic)

    You can either do it manually – http://wordpress.org/extend/plugins/events-manager/developers/

    or use our auto-updater via Events > Settigns > Admin Tools > Check Dev Versions, and update as per usual (you may need to refresh a couple times to see the update).

    thkx! updated!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘Incompatibility with Wp E-commerce 3.8.9.4?’ is closed to new replies.